//--------------------------------------------------------------
// File     : main.c
// Datum    : 05.09.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der virtuellen EEprom Lib
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_ee_flash.h"

int main(void)
{
  ErrorStatus check;
  int32_t ee_wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom virtuellen EEProm
  check=UB_EE_FLASH_Init();
  if(check==SUCCESS) {
	  // grne LED einschalten
	  UB_Led_On(LED_GREEN);

	  // EEprom Adresse 0x00 auslesen
	  ee_wert=UB_EE_FLASH_Read(0x00);
	  // test ob Inhalt stimmt
	  if(ee_wert==0x3AC4) {
		  // Inhalt ist richtig
		  UB_Led_On(LED_BLUE);
	  }
	  else {
		  // wenn Inhalt nicht stimmt
		  UB_Led_On(LED_ORANGE);
		  // Adresse 0x00 mit Wert 0x3AC4 beschreiben
		  UB_EE_FLASH_Write(0x00,0x3AC4);
	  }
  }
  else {
	  // Fehler
	  UB_Led_On(LED_RED);
  }

  while(1)
  {

  }
}
